#!/bin/sh

# Errors shouldn't cause script to exit.
set +e

# Update application database.
# This updates /usr/share/applications/mimeinfo.cache.
# Freedesktop-compliant apps may use this, but as far as I know ROX and
# firefox don't. Spacefm may use this.
##update-desktop-database /usr/share/applications 2>/dev/null

# Update mime database.
# This is good if you drop something in /usr/share/mime/packages.
##update-mime-database /usr/share/mime 2>/dev/null

# Mime sync for Fatdog64.
# If you updated /usr/share/mime/packages, then this is useful.  Also,
# if you update /etc/xdg/rox.sourceforge.net/ROX-Filer/MIME-Types (ie,
# adding new ROX MIME handler), then this is useful, because it will
# sync the MIME handlers with /etc/mailcap and /etc/mime.types.
##[ -x /usr/bin/fatdog-sync-mime.sh ] && /usr/bin/fatdog-sync-mime.sh

# Quite some packages install icons in the hicolor icon theme. 
# These packages should have 
# gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor
# in the post_install, post_upgrade and post_remove function to
# create/refresh /usr/share/icons/hicolor/icon-theme.cache
#20220312- gtk-update-icon-cache -q -t -f /usr/share/icons/hicolor

true

